Skip to main content
`Ctrl`+`K`

# DMHasVariableBounds

does the `DM` object have a variable bounds function?

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMHasVariableBounds(DM dm, PetscBool *flg)

Not Collective

## Input Parameter

- dm - the `DM` object to destroy

## Output Parameter

- flg - `PETSC_TRUE` if the variable bounds function exists

## See Also

DM Basics, `DM`, `DMComputeVariableBounds()`, `DMView()`, `DMCreateGlobalVector()`, `DMCreateInterpolation()`, `DMCreateColoring()`, `DMCreateMatrix()`, `DMCreateMassMatrix()`, `DMGetApplicationContext()`

## Level

developer

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages